# Record TCefTouchHandleState

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefTouchHandleState = record`

## Description

Touch handle state.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_time.h">CEF source file: /include/internal/cef_time.h (cef_touch_handle_state_t))

## Overview

### Fields

| `size: NativeUInt;`
| `touch_handle_id: integer;`
| `flags: cardinal;`
| `enabled: integer;`
| `orientation: TCefHorizontalAlignment;`
| `mirror_vertical: integer;`
| `mirror_horizontal: integer;`
| `origin: TCefPoint;`
| `alpha: single;`

## Description

### Fields

| `size: NativeUInt;`
Size of this structure.

| `touch_handle_id: integer;`
Touch handle id. Increments for each new touch handle.

| `flags: cardinal;`
Combination of TCefTouchHandleStateFlags values indicating what state is set.

| `enabled: integer;`
Enabled state. Only set if |flags| contains CEF_THS_FLAG_ENABLED.

| `orientation: TCefHorizontalAlignment;`
Orientation state. Only set if |flags| contains CEF_THS_FLAG_ORIENTATION.

| `mirror_vertical: integer;`
This item has no description.

| `mirror_horizontal: integer;`
This item has no description.

| `origin: TCefPoint;`
Origin state. Only set if |flags| contains CEF_THS_FLAG_ORIGIN.

| `alpha: single;`
Alpha state. Only set if |flags| contains CEF_THS_FLAG_ALPHA.

Generated by PasDoc 0.16.0-snapshot.